
<div class="game-dashboard-container">
    <div>
        <div [nbPopover]="dropdownMenuRef" class="cursor-pointer" style="display: flex; align-items: center;">
            <nb-user [name]="user.email"></nb-user>
            <nb-icon style="margin-left: .25rem;" icon="chevron-down-outline"></nb-icon>
        </div>
        <ng-template #dropdownMenuRef>
            <nb-list>
                <!--
                <nb-list-item>
                    <a  style="color: white; text-decoration: none;" routerLink="/">Mis estadísticas</a>
                </nb-list-item>
                -->
                <nb-list-item class="status-danger cursor-pointer" style="background-color: #ff3d71; min-width: 200px;" (click)="onLogout()">
                    <a  style="color: white; text-decoration: none;">Salir</a>
                </nb-list-item>
            </nb-list>
        </ng-template>
    </div>
    <div class="game-dashboard" *ngIf="levelData != null;">
        <ul class="game-punctuation">
            <li>
                {{gameScore.success}} aciertos
            </li>
            <li>
                {{gameScore.fails}} fallos
            </li>
        </ul>
        <div class="text-center dashboard-actions">
            <button fullWidth size="small" nbButton status="primary" (click)="onStopGame()">Parar</button>
        </div>
    </div>
</div>

<canvas class="game-canvas" #gameCanvas></canvas>

<app-game-form *ngIf="levelData == null; else gameRef" (submitOptions)="onSubmitOptions($event)" [levelsData]="levelsData">
    <div *ngIf="lastGameStore != null">
        <h3>Resultados de última judada</h3>
        <ul class="game-punctuation">
            <li>
                {{lastGameStore.success}} aciertos
            </li>
            <li>
                {{lastGameStore.fails}} fallos
            </li>
            <li>
                {{lastGameStore.totalSuccess}} aciertos posibles
            </li>
        </ul>
    </div>
    
</app-game-form>
<ng-template #gameRef>
    <h3 class="game-challenge-text">Seleccione las figuras {{ levelData.challenge | callengeCriterias }} </h3>
</ng-template>
